WESNOTH(6)

NOME
Wesnoth — A Batalha por Wesnoth, um jogo de estratégia num mundo de fantasia por turnos

SINOPSE
wesnoth [opções] [diretório_de_dados]

DESCRIÇÃO
Battle for Wesnoth é um jogo de estratégia em turnos num mundo de fantasia. Derrota todos os líderes inimigos usando um grupo bem escolhido de tropas, tendo o cuidado de gerir os teus recursos de ouro e aldeias. Todas as unidades têm os seus próprios pontos fortes e fracos, para ganhar, implanta as tuas forças da melhor maneira negando os teus inimigos a possibilidade de fazer o mesmo. Conforme as unidades ganham experiência, adquirem novas habilidades e tornam-se mais poderosos. Joga no teu próprio idioma e teste a tua habilidade contra um oponente de computador inteligente, ou junta-te à ampla comunidade de Wesnoth de jogadores online. Cria as tuas próprias unidades personalizadas, cenários ou campanhas, e compartilhá-las com os outros.

OPÇÕES

--bpp number
    define o valor de Bits Por Pixel. Por exemplo: --bpp 32

-c, --campaign  [<campanha>]
    vai directamente para a campanha com base nos parâmetros. Podes escolher a campanha duma lista se não especificaste nenhuma. Nota: Ao usar esta opção por favor, verifique se especificaste o caminho do directório de dados como o argumento final, caso contrário o jogo vai tomar a ID da campanha / cenário como os dados padrão.

--campaign-difficulty <dificuldade>
    A dificuldade da campanha escolhida (1 até o número máximo). Se nenhuma for especificada, terás de escolher uma em jogo.

--campaign-scenario <nome do cenário>
    A ID do cenário da campanha escolhida. Por predefinição o primeiro cenário.

--config-dir name
    define o directório nome do utilizador em $HOME ou “Os meus Documentos Meus Jogos” em Windows. Também podes especificar o caminho absoluto para as configurações fora de $HOME ou “Os meus Documentos Meus Jogos”.

--config-path
    imprime o caminho da pasta de configurações de usuário e sai.

--data-dir <directório>
    substituirá o directório de dados com o especificado

-d, --debug
    possibilita opções de comando adicionais de modo em-jogo (veja a página wiki em http://www.wesnoth.org/wiki/CommandMode para mais informações sobre o modo de comando).

-e, --editor file
    inicia o editor de mapas directamente. Se o ficheiro for especificado é equivalente a -l --load

--fps
    mostra o número de imagens por segundo jogo, o está actualmente em execução, a um canto da tela.

-f, --fullscreen
    executa o jogo em modo de ecrã inteiro.

--gunzip infile.gz
    descomprime um arquivo que possa estar em formato gzip e armazena-o sem o sufixo .gz. O arquivo infile.gz é então removido.

--gzip infile
    arquiva um ficheiro em formato gzip, guarda-o como ficheiro incluído.gz e remove ficheiro incluído.

-h, --help
    mostra um resumo das opções de linha de comando para a saída padrão e sai.

-l, --load file
    Abre o jogo gravado arquivo da pasta de jogos gravados padrão. Se a opção -e ou o --editor também for usada, inicia o editor com o mapa de arquivo aberto. se for uma pasta, o editor vai iniciar com um diálogo para escolher um mapa.

--log-nível=domínio1,domínio2,…
    Ajusta o nível de severidade dos domínios de log. all (tudo) pode ser usado para qualquer domínio de log. Níveis disponíveis: error (erro), warning (aviso), info (informação), debug (depuração). O nível padrão é error.

--logdomains [filtro]
    lista todos os domínios de log (mas só aqueles contidos em filtro se usado) e sai

--max-fps
    o número de frames por segundo que o jogo pode mostrar, o valor deve estar entre 1 e 1000, por defeito é 50.

-m, --multiplayer
    inicia um jogo multijogador. Existem opções adicionais que podem ser usados em conjunto com este comando conforme explicado abaixo. E só estas opções adicionais podem seguir --multiplayer.

--no-delay
    executa o jogo sem atrasos para benchmark de gráficos. É seleccionado automaticamente pela opção --nogui.

--nocache
    desabilita a cache de dados do jogo.

--nomusic
    inicia o jogo sem música.

--nosound
    inicia o jogo sem som nem música.

--path
    imprime o nome do directório de dados e sai.

--preprocess, -p[=<define1>,<define2>,...] <file/folder> <target directory>
    preprocesses a specified file/folder. The file(s) will be written in specified target directory: a plain cfg file and a processed cfg file. If a folder is specified, it will be preprocessed recursively based on the known preprocessor rules. The common macroses from the data/core/macros will be preprocessed before the specified resources. define1,define2,... - the extra defines will be added before processing the files. If you want to add them you must add the '=' character before. If 'SKIP_CORE' is in the define list the data/core won't be preprocessed. Example: -p ~/wesnoth/data/campaigns/tutorial ~/result or -p=MULTIPLAYER,MY_OWN_CAMPAIGN ~/wesnoth/data/campaign/camp ~/result

--preprocess-input-macros <source file>
    usado apenas pelo comando “--prepocess”. Especifica o ficheiro que contem [definições_predefinidas] para serem incluídos antes de carregar o jogo.

--preprocess-output-macros [<target file>]
    apenas usado pelo comando “--prepocess”. Irá imprimir todas as macros lidas no ficheiro alvo. Se o ficheiro não for indicado será escrito um com o nome _MACROS_.cfg no directório processado. Isto deve ser indicado antes do comando “--prepocess”.

-r XxY, --resolution XxY
    configura a resolução do ecrã. Por exemplo: -r 800x600

-s, --server [hospedeiro]
    conecta ao servidor especificado se existir, caso contrário, conecta ao primeiro servidor das preferências. Exemplo: --server server.wesnoth.org

--strict-validation
    erros de validação são tratados como fatais.

-t, --test
    inicia o jogo com um pequeno cenário de teste.

--validcache
    assume que a cache é válida. (perigoso)

-v, --version
    mostra o número de versão e sai.

-w, --windowed
    inicia o jogo em modo de janela.

--with-replay
    inicia uma revisão do jogo carregado com a opção --load.

Opções para --multiplayer
As opções específicas para equipas em modo de rede estão marcadas com <número>. <número> deve ser substituído pelo número duma eqiuipa. Normalmente esse número é 1 ou 2, mas isso depende do número de jogadores permitidos no cenário escolhido.

--ai_confignúmero=valor
    selecciona um arquivo de configuração para carregar para o controlador de IA para esta equipa.

--algorithmnúmero=valor
    Escolhe um algoritmo não padrão para ser usado pelo controlador da IA para esta equipa. Valores possíveis: idle_ai e sample_ai.

--controllernúmero=valor
    selecciona quem controlará esta equipa. Valores disponíveis: human e ai.

--era=valor
    usa esta opção para jogar a era seleccionada em vez da Padrão. A era é escolhida pela id. Eras são descritas num ficheiro em data/multiplayer/eras.cfg

--exit-at-end
    sai quando o cenário acabar, sem mostrar um dialogo de vitória/derrota que requer a interacção do usuário. Também é usado para benchmarking preconfigurado.

--nogui
    inicia o jogo sem uma IGU. Tem de aparecer antes de --multiplayer para ter o efeito desejado.

--parmnúmero=nome:valor
    Configura parâmetros extras para esta equipa. Esta opção depende das opções usadas com --controller e --algorithm. Só terá utilidade para quem cria a sua própria IA. (ainda não está completamente documentado)

--scenario=valor
    seleccionada o cenário multijogador pela id. O cenário padrão é multiplayer_The_Freelands.

--sidenúmero=valor
    selecciona a facção a partir da era actual com base da sua id. Facções são configuradas num ficheiro data/multiplayer.cfg

--turns=valor
    indica o número de turnos para o cenário escolhido. Por predefinição é 50.

ESTADO DE SAÍDA
O estado normal de saída é 0 (zero). Um estado de 1 indica um erro (SDL, vídeo, tipo de letra, etc) de inicialização. Um estado de 2 indica um erro com as opções da linha de comando.

AUTOR
Escrito por David White <davidnwhite@verizon.net>.
Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com>.
A página do manual foi escrita originalmente por Cyril Bouthors <cyril@bouthors.org>.
Visita a página oficial do projecto: http://www.wesnoth.org/

DIREITOS DE AUTOR
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Este programa é Software Livre; este programa esta licenciado sob a GPL versão 2, conforme publicada pela Free Software Foundation. NÃO há QUALQUER garantia para o programa; nem mesmo a garantia de COMERCIALIZAÇÃO, e as de ADEQUAÇÃO A QUALQUER PROPÓSITO.

VER TAMBÉM
wesnothd(6).